Переполнение буфера в libcdio

Дата публикации:
14.01.2008
Всего просмотров:
938
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
libcdio 0.x
Уязвимые версии: libcdio 0.79, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за ошибки проверки границ данных в функции "print_iso9660_recurse()" в файлах cd-info.c и iso-info.c. Злоумышленник может с помощью специально сформированного ISO образа вызвать переполнение буфера и выполнить произвольный код на целевой системе.

URL производителя: www.gnu.org/software/libcdio/

Решение: Установите последнюю версию с сайта производителя.

Исправление для iso-info.c:
http://cvs.savannah.gnu.org/viewvc/li...2=1.35&sortby=date&view=patch

Исправление для cd-info.c:
http://cvs.savannah.gnu.org/viewvc/li...=1.149&sortby=date&view=patch

или введите имя

CAPTCHA